routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;


Auth::routes();

//minimum user / logged in user
Route::group(['middleware' => ['level:1']], function () {
    //minimum Teacher
    Route::group(['middleware' => ['level:4']], function () {
        Route::group(['middleware' => ['level:5']], function () {
        });
        Route::resource('courses', 'CoursesController');
        Route::resource('courses.assignments', 'AssignmentController');
        Route::resource('courses.assignments.handin','HandinController', ['except' => ['store']]);
        Route::get('courses/{course}/assignments/{assignment}/handin/{handin}/download','HandinController@downloadhandin')->name('course.assignments.handin.download');
        Route::resource('users', 'UserController');

    });
    Route::resource('/', 'DashboardController');

    Route::resource('forum','ForumController',['except' => ['show']])->parameters(['forum' => 'category']);
    Route::resource('forum.topic','ForumTopicController')->parameters(['forum' => 'category']);
    Route::resource('forum.topic.post','ForumTopicPostController')->parameters(['forum' => 'category']);

    Route::resource('courses', 'CoursesController', ['only' => ['index']]);
    Route::resource('courses.assignments', 'AssignmentController', ['only' => ['index','show']]);
    Route::resource('courses.assignments.handin','HandinController', ['only' => ['create','store']]);

    Route::resource('profile', 'ProfileController');
    Route::resource('dashboard', 'DashboardController');


});

app/Http/Controllers/ForumController.php
<?php

namespace App\Http\Controllers;

use App\ForumCategory;
use App\ForumPost;
use App\ForumTopic;
use App\Http\Requests\CreateForumCategoryRequest;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ForumController extends Controller
{
    public function index()
    {
        $category = ForumCategory::all();
        $user = Auth::user();
        return view('forum.index', ['category' => $category, 'user' => $user]);
    }

    public function create()
    {
        return view('forum.category.create');
    }

    public function store(CreateForumCategoryRequest $request)
    {
        if (!$request->validated()) {
            return redirect()->back()->withInput($request->input())->withErrors($request);
        }
        $category = new ForumCategory();
        $category->name = $request['name'];
        $category->description = $request['description'];
        $category->save();
        return redirect()->route('forum.index');

    }

    public function update(CreateForumCategoryRequest $request, ForumCategory $category)
    {
        $category->name = $request['name'];
        $category->description = $request['description'];
        $category->save();
        return redirect()->route('forum.index');
    }

    public function destroy(ForumCategory $category)
    {
        $category->delete();
        return redirect()->route('forum.index');
    }
}

resources/views/forum/index.blade.php
@extends('layouts.dashboard')
@section('content')
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{route('dashboard.index')}}">Dashboard</a></li>
            <li class="breadcrumb-item active" aria-current="page">Categories</li>
        </ol>
    </nav>
    <div class="container-sm">
        <h1 style="text-align: center; margin: 10px 0;">
            Bootcamp Forum Categories
            @if(Auth::user()->hasRole('admin'))
                <a href="{{route('forum.create')}}" class="btn btn-success float-right" style="margin-top:5px;">Create Category</a>
            @endif
        </h1>
        <br><br>
        <ul class="list-group">
            @foreach($category as $item)
                <li class="list-group-item" style=" padding:10px;">
                    <div class="row">
                        <div class="col-sm-6" style="margin-top: 7px;"><span class="align-middle"><b> {{$item->name}}</b> | {{$item->description}}</span></div>

                        <div class="col-sm-6">
                            <a href="{{route('forum.topic.index',$item->id)}}" class="btn btn-primary float-right">Go to Category</a>
                        @if($user->hasRole('admin|teacher'))
                          <a data-toggle="collapse" data-target="#collapse{{$item->id}}" aria-expanded="false" aria-controls="collapse{{$item->id}}" class="btn btn-danger float-right" style="color:#fff;margin:0 10px;">Edit Category</a>
                        </div>
                            <div class="collapse" id="collapse{{$item->id}}" style="margin:30px 50px;">
                                <form action="{{route('forum.update',$item->id )}}" method="post">
                                    @method('PUT')
                                    @csrf
                                    <div class="input-group mb-3" style="margin-top:10px;">
                                    <div class="form-inline">
                                        <label for="name">Title:&nbsp; </label>
                                        <input type="text" class="form-control" name="name" value="{{$item->name}}" >
                                        <label for="description"> &nbsp;&nbsp;Description:&nbsp; </label>
                                        <textarea id="description" class="form-control" name="description" rows="1" >{{$item->description}}</textarea>

                                        <br><br>
                                            <button class="btn btn-primary float-right" style="margin-left:20px;" type="submit">Update Category</button>

                                    </div>
                                    </div>
                                </form>
                                <form class="form-group" action="{{route('forum.destroy',$item->id)}}" method="post">
                                    @method('DELETE')
                                    @csrf
                                    <button type="submit" class="btn btn-danger float-left">Delete Category</button>
                                </form>
                            </div>
                        @endif
                    </div>
                </li>
            @endforeach

        </ul>
    </div>
@endsection()